Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SendQuickReplyShortcutMessages

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Messages>
it.tdlight.jni.TdApi.SendQuickReplyShortcutMessages

Enclosing class:
  TdApi

public static final class TdApi.SendQuickReplyShortcutMessages extends TdApi.Function<TdApi.Messages>
Sends messages from a quick reply shortcut. Requires Telegram Business subscription.

Returns `Messages`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat to which to send messages.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`sendingId`
Non-persistent identifier, which will be returned back in messageSendingStatePending object and can be used to match sent messages and corresponding updateNewMessage updates.
`int`
`shortcutId`
Unique identifier of the quick reply shortcut.

## Constructor Summary

Constructors
Constructor
Description
`SendQuickReplyShortcutMessages()`
Sends messages from a quick reply shortcut.
`SendQuickReplyShortcutMessages(long chatId, int shortcutId, int sendingId)`
Sends messages from a quick reply shortcut.
`SendQuickReplyShortcutMessages(DataInput input)`
Sends messages from a quick reply shortcut.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which to send messages. The chat must be a private chat with a regular user.

### shortcutId

public int shortcutId
Unique identifier of the quick reply shortcut.

### sendingId

public int sendingId
Non-persistent identifier, which will be returned back in messageSendingStatePending object and can be used to match sent messages and corresponding updateNewMessage updates.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SendQuickReplyShortcutMessages

public SendQuickReplyShortcutMessages()
Sends messages from a quick reply shortcut. Requires Telegram Business subscription.

Returns `Messages`

### SendQuickReplyShortcutMessages

public SendQuickReplyShortcutMessages(long chatId, int shortcutId, int sendingId)
Sends messages from a quick reply shortcut. Requires Telegram Business subscription.

Returns `Messages`

Parameters:
  `chatId` - Identifier of the chat to which to send messages. The chat must be a private chat with a regular user.
  `shortcutId` - Unique identifier of the quick reply shortcut.
  `sendingId` - Non-persistent identifier, which will be returned back in messageSendingStatePending object and can be used to match sent messages and corresponding updateNewMessage updates.

  Returns `Messages`

### SendQuickReplyShortcutMessages

public SendQuickReplyShortcutMessages(DataInput input) throws IOException
Sends messages from a quick reply shortcut. Requires Telegram Business subscription.

Returns `Messages`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`